
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.bedbugs.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;
import net.minecraft.core.registries.Registries;

import net.mcreator.bedbugs.entity.SuperFunnyEntity;
import net.mcreator.bedbugs.entity.SlimeballEntity;
import net.mcreator.bedbugs.entity.REBEntity;
import net.mcreator.bedbugs.entity.LightningBallEntity;
import net.mcreator.bedbugs.entity.FireballEntity;
import net.mcreator.bedbugs.BedbugsMod;

public class BedbugsModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(Registries.ENTITY_TYPE, BedbugsMod.MODID);
	public static final DeferredHolder<EntityType<?>, EntityType<LightningBallEntity>> LIGHTNING_BALL = register("lightning_ball",
			EntityType.Builder.<LightningBallEntity>of(LightningBallEntity::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final DeferredHolder<EntityType<?>, EntityType<REBEntity>> REB = register("reb",
			EntityType.Builder.<REBEntity>of(REBEntity::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final DeferredHolder<EntityType<?>, EntityType<SlimeballEntity>> SLIMEBALL = register("slimeball",
			EntityType.Builder.<SlimeballEntity>of(SlimeballEntity::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final DeferredHolder<EntityType<?>, EntityType<FireballEntity>> FIREBALL = register("fireball",
			EntityType.Builder.<FireballEntity>of(FireballEntity::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final DeferredHolder<EntityType<?>, EntityType<SuperFunnyEntity>> SUPER_FUNNY = register("super_funny",
			EntityType.Builder.<SuperFunnyEntity>of(SuperFunnyEntity::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));

	// Start of user code block custom entities
	// End of user code block custom entities
	private static <T extends Entity> DeferredHolder<EntityType<?>, EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}
}
